com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.ForeignKeyColumnIndex

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.ForeignKeyColumnIndex>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.ForeignKeyColumnIndex

All Implemented Interfaces:
  Serializable, Comparable<MetadataAPIHelper.ForeignKeyColumnIndex>

Enclosing class:
  MetadataAPIHelper

    protected static enum MetadataAPIHelper.ForeignKeyColumnIndex
    extends Enum<MetadataAPIHelper.ForeignKeyColumnIndex>

Enum representing the indices of columns in the result set of getImportedKeys/getExportedKeys. Each enum constant corresponds to a specific column in the result set.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FK_CATALOG`
`FK_COLUMN`
`FK_SCHEMA`
`FK_TABLE`
`KEY_SEQ`
`PK_CATALOG`
`PK_COLUMN`
`PK_SCHEMA`
`PK_TABLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()` Get the index value of the enum constant.
`static MetadataAPIHelper.ForeignKeyColumnIndex` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.ForeignKeyColumnIndex[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PK_CATALOG

    public static final MetadataAPIHelper.ForeignKeyColumnIndex PK_CATALOG

#### PK_SCHEMA

    public static final MetadataAPIHelper.ForeignKeyColumnIndex PK_SCHEMA

#### PK_TABLE

    public static final MetadataAPIHelper.ForeignKeyColumnIndex PK_TABLE

#### PK_COLUMN

    public static final MetadataAPIHelper.ForeignKeyColumnIndex PK_COLUMN

#### FK_CATALOG

    public static final MetadataAPIHelper.ForeignKeyColumnIndex FK_CATALOG

#### FK_SCHEMA

    public static final MetadataAPIHelper.ForeignKeyColumnIndex FK_SCHEMA

#### FK_TABLE

    public static final MetadataAPIHelper.ForeignKeyColumnIndex FK_TABLE

#### FK_COLUMN

    public static final MetadataAPIHelper.ForeignKeyColumnIndex FK_COLUMN

#### KEY_SEQ

    public static final MetadataAPIHelper.ForeignKeyColumnIndex KEY_SEQ

### Method Detail

#### values

    public static MetadataAPIHelper.ForeignKeyColumnIndex[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.ForeignKeyColumnIndex c : MetadataAPIHelper.ForeignKeyColumnIndex.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.ForeignKeyColumnIndex valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Get the index value of the enum constant.

Returns:
  The index of the column.